import { OnInit, DoCheck } from '@angular/core';
import { ItemService } from '../item-service/item-service.service';
export declare class FillInTheBlanksComponent implements OnInit, DoCheck {
    private itemService;
    userAnswer: any;
    correctAns: any;
    message: any;
    promptTxt: any;
    clearAnswer: any;
    userAnswerService: any;
    userAttemptDetails: any;
    assetData: any;
    questionTitleSplits: any;
    count: number;
    correctOptions: any;
    options: any;
    selectBoxes: any;
    questionDetails1: any;
    assetPosition: any;
    tempSelectedItems: any;
    showResponse: boolean;
    get questionDetails(): any;
    set questionCurrentData(value: any);
    constructor(itemService: ItemService);
    examEngineType: string;
    isClearAnswer: boolean;
    isShowHide: boolean;
    imagePath: any;
    checkQuizSubmission: any;
    selectedTheme: any;
    fontSize: any;
    canShowMetadata: boolean;
    preferredTextFormat: number;
    ngOnInit(): void;
    ngDoCheck(): void;
    correctAnswer(): void;
    valueChanged(event: any): void;
    isUserAnswersCorrect(): boolean;
    clearUserInputs(): void;
    settingPreValue(): void;
    createQuestion(): void;
    getCurrentAnswer(preValue: any): any;
    onInputFieldChange(option: any, index: any): void;
    validateUserInput(event: any, questionTitle: any): boolean;
}
